import jingrow


def execute():
	"""Set default allowed role in OAuth Client"""
	for client in jingrow.get_all("OAuth Client", pluck="name"):
		pg = jingrow.get_pg("OAuth Client", client)
		if pg.allowed_roles:
			continue
		row = pg.append("allowed_roles", {"role": "All"})  # Current default
		row.db_insert()
